<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">

    <q-btn style="height: 35px; position: absolute; left: 0; margin: 20px 20px 10px 20px" @click="kembaliHalaman" icon="arrow_back" color="orange" label="Kembali"/>

    <div>
      <p class="text-weight-bolder" style="padding: 70px 20px 0 20px; margin-bottom: 0; font-size: 20px" >Bergabung Dalam Proyek</p>
    </div>

    <div class="row" style="width: 100%">
      <div class="caption vertical-center" style="margin: 0 auto 0 auto;">
        <q-avatar size="150px">
          <img style="margin: 0 auto 0 auto;" :src="product.owner.avatar || 'avatar.jpg'">
        </q-avatar>
      </div>
      <div style="text-align: center; width: 100%; margin: 10px 20px 10px 20px" >
        <p class="text-weight-bolder" style="font-size: 14px">Kirim pesan untuk mengajak bergabung dalam proyek</p>
      </div>
      <div style="width: 100%;">
        <p class="text-weight-bold" style="margin: 10px 20px 10px 20px; font-size: 14px" >Kirim pesan kepada penyedia jasa</p>
        <p style="margin: 10px 20px 10px 20px; font-size: 14px">Pesan ini akan terkirim kepada penyedia jasa, silahkan anda jelaskan rincian pekerjaan yang ditawarkan</p>
        <q-input standout="bg-green text-white" type="textarea" style="margin: 10px 20px 10px 20px; font-size: 14px" label="tulis pesan" v-model="message"/>
        <q-btn style="margin: 10px 20px 10px 20px; height: 35px; font-size: 14px" color="blue" label="Kirim Pesan" @click="kirimPesan"/>
      </div>

    </div>

    <div style="margin-top: 50px">.</div>

  </div>
</template>

<script>

export default {
  data () {
    return {
      tab: 'mails',
      slide: 1,
      message: null,
      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  },

  preFetch (store) {
    store.store.dispatch("product/getDetailProduct", store.currentRoute.params.id);
  },

  methods: {
    kembaliHalaman() {
      return this.$router.back();
    },

    checkLogin: function () {
      this.$axios.post("api/details")
        .then()
        .catch(error => {
          this.$router.push("/login")
        })
    },

    kirimPesan: function (){
      let formData = new FormData();
      formData.append("message", this.message);
      formData.append("to", this.product.owner.id)

      if (this.message && this.product.owner.id) {
        this.$q.loading.show()
        this.$axios.post("/api/chat/message", formData)
          .then(sukses => {
            this.$q.loading.hide();
            this.$router.push("/chat-m/" + this.product.owner.id)
          })

      } else {
        this.$q.notify({
          message: "Pesan Tidak Terkirim",
          position: "top",
          color: "red",
        })
      }
    }
  },

  mounted() {
    this.checkLogin();

    if (this.$q.platform.is.desktop) {
      this.$router.push("/product/hire/" + this.$route.params.id)
    }
  },

  computed: {
    product() {
      let dataProduct = this.$store.getters["product/getDetailProduct"];

      if (!dataProduct.product_type) {
        dataProduct.product_type = {
          product_type: null,
        }
      }

      if (!dataProduct.product_category) {
        dataProduct.product_category = {
          category: null,
        }
      }

      return this.$store.getters["product/getDetailProduct"];
    }
  }
}

</script>

<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px
</style>
